package com.ruoyi.system.service;

import com.ruoyi.system.domain.ActSuppliesTemplate;

import java.util.List;

/**
 * 物资管理Service接口
 * 
 * @author
 * @date
 */
public interface ActSuppliesTemplateService
{

    List<ActSuppliesTemplate> selectSuppliesTemplateList(ActSuppliesTemplate sysSupplies);

    List<ActSuppliesTemplate> selectSuppliesTemplateById(Long id);

    int insertSuppliesTemplate(ActSuppliesTemplate sysSupplies);

    int updateSuppliesTemplate(ActSuppliesTemplate sysSupplies);

    int deleteSuppliesTemplateByIds(Long[] ids);

    List<ActSuppliesTemplate> saveTemplate(Long id);

    List<Integer> findall();
    /**
     * 启用物料细分类管理
     *
     * @param id  尝试启用物料细分类管理的id
     * @return
     */
    void setEnable(Long id);

    /**
     * 禁用
     *
     * @param id  尝试禁用物料细分类管理的id
     */
    void setDisable(Long id);

    List<String> findName();

}
